Skip to main content
POST
/
events
/
leads
/
{leadId}
List activity event history for a lead
curl --request POST \
  --url https://api.leadping.ai/events/leads/{leadId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "pageSize": "<string>",
  "continuationToken": "<string>",
  "orderBy": [
    {
      "field": "<string>"
    }
  ],
  "includeCount": true,
  "search": "<string>",
  "searchFields": [
    "<string>"
  ],
  "filters": [
    {
      "value": "<unknown>",
      "field": "<string>"
    }
  ],
  "rangeFilters": [
    {
      "greaterThan": "<unknown>",
      "greaterThanOrEqual": "<unknown>",
      "lessThan": "<unknown>",
      "lessThanOrEqual": "<unknown>",
      "field": "<string>"
    }
  ]
}
'
{
  "items": [
    {
      "id": "<string>",
      "eventType": "<string>",
      "eventCategory": "<string>",
      "activityCategory": "<string>",
      "description": "<string>",
      "conversationId": "<string>",
      "leadId": "<string>",
      "summary": "<string>",
      "direction": "<string>",
      "statusReason": "<string>",
      "isWarmup": true,
      "fromPhoneNumberId": "<string>",
      "outboundPhoneNumberId": "<string>",
      "fromPhoneNumber": "<string>",
      "toPhoneNumber": "<string>",
      "telnyxId": "<string>",
      "providerMessageId": "<string>",
      "wasManuallyOverridden": true,
      "campaignId": "<string>",
      "sourceId": "<string>",
      "tenDlcCampaignId": "<string>",
      "complianceAction": "<string>",
      "billingStatus": "<string>",
      "billableAmount": "<string>",
      "errorCode": "<string>",
      "retryCount": "<string>",
      "queuedAt": "2023-11-07T05:31:56Z",
      "sendingStartedAt": "2023-11-07T05:31:56Z",
      "sentAt": "2023-11-07T05:31:56Z",
      "deliveredAt": "2023-11-07T05:31:56Z",
      "receivedAt": "2023-11-07T05:31:56Z",
      "failedAt": "2023-11-07T05:31:56Z",
      "undeliverableAt": "2023-11-07T05:31:56Z",
      "blockedAt": "2023-11-07T05:31:56Z",
      "nextRetryAt": "2023-11-07T05:31:56Z",
      "scheduledFor": "2023-11-07T05:31:56Z",
      "scheduledReason": "<string>",
      "canceledAt": "2023-11-07T05:31:56Z",
      "cancelReason": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdBy": "<string>"
    }
  ],
  "pageSize": "<string>",
  "totalCount": "<string>",
  "continuationToken": "<string>"
}

Path Parameters

leadId
string
required

The ID of the lead.

Body

Pagination, filtering, and sorting options.

Options for flexible, efficient, and explicit querying in Cosmos DB or similar repositories.

pageSize
string<int32>

Maximum items to return in one page

Pattern: ^-?(?:0|[1-9]\d*)$
continuationToken
string | null

Opaque Cosmos DB continuation token. ‑ on the first request. ‑ Client must echo back the NextToken it received from the previous page.

orderBy
object[] | null

List of sort instructions, in priority order.

includeCount
boolean | null

Whether to include the total count in the response (for pagination).

search
string | null

The search term to filter results (applied to ).

searchFields
string[] | null

The list of fields to apply the Search term to (must be string properties).

filters
object[] | null

Key-value exact match filters (e.g., Status = Active).

rangeFilters
object[] | null

Advanced range-based filters (e.g., Price > 50 and Price <= 200).

Response

Events for the lead were successfully retrieved.

A generic container for paginated results returned to the client.

items
object[]

The subset of items returned for the current page.

pageSize
string<int32>

The number of items returned per page in the response. This may reflect the client's requested page size, or a server-defined default or limit.

Pattern: ^-?(?:0|[1-9]\d*)$
totalCount
string<int32> | null

The total number of items that match the query across all pages. May be null if the count is not computed or not applicable (e.g., in continuation-based pagination).

Pattern: ^-?(?:0|[1-9]\d*)$
continuationToken
string | null

Opaque storage continuation token. ‑ null → the current page was the last page.